#version 430

uniform mat4 cam_mat;
uniform float value;
uniform int row;
layout(location=0) in vec3 vtx_Pos;

void main(void) {
	vec3 lo = vec3(-0.075,				0.06 - row*0.01, -0.2);
	vec3 hi = vec3(-0.075 + value*0.15,	0.05 - row*0.01, -0.2);
	vec4 pos = vec4(mix(lo,hi,vtx_Pos),1.0);
	gl_Position = cam_mat * pos;
}
